ByCloud Docs
GuidesCLIAPISDK
post/v1/networks

Create network

Create a new network

Request Body

required

Content-Type: application/json

name

stringrequired

description

stringoptional

mtu

integeroptional

port_security_enabled

booleanoptional

Default: true

dns_domain

stringoptional

tags

arrayoptional

Responses

201

Network created

Content-Type: application/json

network

objectoptional
400

Invalid request parameters

Content-Type: application/json

error

objectrequired
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
403

Insufficient permissions

Content-Type: application/json

error

objectrequired
409

Resource conflict (e.g., already exists, invalid state)

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X POST "https://api.spo1.mycloud.com/v1/networks" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "private-network",
"description": "string",
"mtu": 1,
"port_security_enabled": true,
"dns_domain": "string",
"tags": [
"web",
"frontend"
]
}'

Response

Network created

{
"network": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:network:network:550e8400-e29b-41d4-a716-446655440000",
"name": "private-network",
"description": "Internal private network",
"status": "ACTIVE",
"mtu": 1500,
"port_security_enabled": true,
"dns_domain": "mycloud.local",
"subnets": [
"550e8400-e29b-41d4-a716-446655440000"
],
"tags": [
"web",
"frontend"
],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}